//
// Created by philipp on 05.02.18.
//

#include <iostream>
#include "../../include/mainNode/NotifiableThread.h"

int main(int argc, char ** argv)
{
    using namespace std::chrono_literals;

    NotifiableThread notifiableThread{
        []
        {
            std::this_thread::sleep_for(1s);
            std::cout << "Work!\n";
        }};

    std::this_thread::sleep_for(50ms);
    notifiableThread.notify();
    std::this_thread::sleep_for(500ms);
    notifiableThread.notify();

    std::this_thread::sleep_for(2s);

    return 0;
}